# -*- coding: utf-8 -*-
from ppms.migration import SQLPacket, PacketCategory, VersionType, MaxVersionDependency


class PortRegtestInterfaceConfigs(SQLPacket):
    '''Port interface configs and modules for regtest testScheduling'''
    version = 1
    done_after_success = True
    run_on_startup = False
    category = PacketCategory.CATEGORY_OPTIONAL
    wi_number = 14989
    
    def get_dependencies(self):
        return (MaxVersionDependency(version='39.5.6', version_type=VersionType.CUSTOMIZING), )

    def fix(self, runner):
        self.apply_dml_file(self.sql_planta_de_dbms, "WI14989_port_regtest_interface_configs.sql")
        return self.success()